Talk:Changes/jQuery

From FedoraProject

Jump to: navigation, search
  • npm(bowercopy) does not appear to be used during the build process. It also pulls in npm(bower) which is quite a significant dependency tree. I also don't think npm(jsonlint) and npm(jscs-checker) are strictly necessary for the package. They also have a sizeable dependency tree, and these kind of checks are for upstream developers anyway so they don't really provide much benefit during the package build process. Just trying to cut our workload a little... Jamielinux (talk) 19:58, 29 March 2014 (UTC)
    • Well, bower would be NTH in general, but definitely down to drop it from jquery if it's unnecessary. --Patches (talk) 00:06, 31 March 2014 (UTC)
  • npm(gzip-js) is also not particularly useful during the build process. The compare_size task compares jquery.js with jquery-min.js, and if npm(gzip-js) is available then it also compares the gzipped sizes. I'm not interested in packaging this set of dependencies for the reasons below. Of course if anybody else wants to package them then feel free! Jamielinux (talk) 13:55, 30 March 2014 (UTC)
    • We need a bundling exception for npm(deflate-js) which has a fork of deflate.txt and inflate.txt.
    • npm(gzip-js) carries this warning: "it should NOT be used on the server for production code. It also does not comply 100% with the standard, yet."
    • npm(deflate-js) carries this warning: "This module is not meant to be run on node for any production code. Currently deflate does not pass all tests, but inflate does. This should not be used for compressing data yet in production."
    • The jquery Gruntfile.js can be easily patched to not use gzip-js.
Total agreement here, thanks for looking into this and coming up with a patch. --Patches (talk) 00:06, 31 March 2014 (UTC)